summaryrefslogtreecommitdiffstats
path: root/desktop/google-desktop
diff options
context:
space:
mode:
Diffstat (limited to 'desktop/google-desktop')
-rw-r--r--desktop/google-desktop/README13
-rw-r--r--desktop/google-desktop/google-desktop.SlackBuild48
-rw-r--r--desktop/google-desktop/google-desktop.info8
-rw-r--r--desktop/google-desktop/slack-desc19
4 files changed, 88 insertions, 0 deletions
diff --git a/desktop/google-desktop/README b/desktop/google-desktop/README
new file mode 100644
index 0000000000..8d87faff63
--- /dev/null
+++ b/desktop/google-desktop/README
@@ -0,0 +1,13 @@
+Google Desktop is a desktop search application that gives you
+easy access to information on your computer and from the web.
+Desktop makes searching your own email, files, music, photos,
+and more as easy as searching the web with Google.
+
+To Start Google Desktop run:
+ /usr/bin/gdlinux
+
+To Install Firefox plugin run:
+ /opt/google/desktop/bin/install_firefox_plugin.sh
+
+To Install Thunderbird plugin run:
+ /opt/google/desktop/bin/install_thunderbird_plugin.sh
diff --git a/desktop/google-desktop/google-desktop.SlackBuild b/desktop/google-desktop/google-desktop.SlackBuild
new file mode 100644
index 0000000000..fa945967ac
--- /dev/null
+++ b/desktop/google-desktop/google-desktop.SlackBuild
@@ -0,0 +1,48 @@
+#!/bin/sh
+#
+# Slackware build script for google-desktop (binary repackaging)
+
+# Copyright 2006 Ricardson Williams <ricardsonwilliams at yahoo.com.br>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by Robby Workman - no additional license terms added.
+
+PRGNAM=google-desktop
+VERSION=1.0.1.0060
+ARCH=i386 # The binary is built for i386
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG || exit 1
+
+# Extract rpm (we're already in $PKG) and fix ownership/permissions
+rpm2cpio < $CWD/google-desktop-linux-$VERSION.rpm | cpio -imdv || exit 1
+chown -R root:root .
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+/sbin/makepkg -c y -l y $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/desktop/google-desktop/google-desktop.info b/desktop/google-desktop/google-desktop.info
new file mode 100644
index 0000000000..2472f04d70
--- /dev/null
+++ b/desktop/google-desktop/google-desktop.info
@@ -0,0 +1,8 @@
+PRGNAM="google-desktop"
+VERSION="1.0.1.0060"
+HOMEPAGE="http://desktop.google.com/en/linux"
+DOWNLOAD="http://dl.google.com/linux/rpm/stable/i386/google-desktop-linux-1.0.1.0060.rpm"
+MD5SUM="e4a12133012dd8c41b569d96e6a39b72"
+MAINTAINER="Ricardson Williams"
+EMAIL="ricardsonwilliams@yahoo.com.br"
+APPROVED="rworkman"
diff --git a/desktop/google-desktop/slack-desc b/desktop/google-desktop/slack-desc
new file mode 100644
index 0000000000..462346d2cf
--- /dev/null
+++ b/desktop/google-desktop/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+google-desktop: google-desktop (Google's Desktop for Linux)
+google-desktop:
+google-desktop: Google Desktop is a desktop search application that
+google-desktop: gives you easy access to information on your computer
+google-desktop: and on the web. Desktop makes searching your own email,
+google-desktop: files, music, photos, and more as easy as searching the
+google-desktop: web with Google.
+google-desktop:
+google-desktop: Homepage: http://desktop.google.com/en/linux/
+google-desktop:
+google-desktop: